/*
 *  Programmazione Grafica 3D - Cap. 4
 *  by Andrea Fasano
 *
 *  Primo esempio di utilizzo della modalit x 320x200x256 con 4 pagine.
 *  Scriviamo un pixel colorato a caso in ognuna delle 4 pagine a
 *  disposizione, quindi mostriamo le 4 pagine una dopo l'altra.
 *
 *  convertito per DJGPP da Antonio Bonifati
 *  website: http://Assembly_Page_di_Ant.freeweb.org
 */

#include <stdio.h>
#include "demogfx.h"
#include "demo_x.h"

void main (void)
{
 Init_Graph_Lib();      /* cavolo, non ve le scordate!
                           o si blocca tutto!         */

 /* Attiviamo la modalit x */
 set_modex_320x200 ();

 /* Attiviamo le pagine, e stampiamo un pixel in ciascuna di esse */
 set_active_page (0); put_pixel_x (10, 10, 10);
 set_active_page (1); put_pixel_x (310, 10, 20);
 set_active_page (2); put_pixel_x (10, 190, 30);
 set_active_page (3); put_pixel_x (310, 190, 40);

 /* Ora si mostrano le pagine, e si attende la pressione di un tasto */
 set_visible_page (0); getch ();
 set_visible_page (1); getch ();
 set_visible_page (2); getch ();
 set_visible_page (3); getch ();

 /* Indietro al DOS... */
 set_text_mode ();

 Close_Graph_Lib();
}