/*
 *  Programmazione Grafica 3D - Cap. 6
 *  by Andrea Fasano
 *
 * Primo esempio di definizione di un carattere.
 *
 *  convertito per DJGPP da Antonio Bonifati
 *  website: http://Assembly_Page_di_Ant.freeweb.org
 */

#include <stdio.h>
#include "demogfx.h"

#define X_CHAR_SIZE 5            /* La dimensione orizzontale del carattere */
#define Y_CHAR_SIZE 8            /* La dimensione verticale del carattere */

typedef char TYPE_CHAR[Y_CHAR_SIZE][X_CHAR_SIZE];

void main (void)
{
 /* Inizializziamo un carattere */
 TYPE_CHAR a = {
   {0, 0, 1, 0, 0},
   {0, 1, 0, 1, 0},
   {1, 0, 0, 0, 1},
   {1, 0, 0, 0, 1},
   {1, 1, 1, 1, 1},
   {1, 0, 0, 0, 1},
   {1, 0, 0, 0, 1},
   {1, 0, 0, 0, 1},
 };

 int x, y;

 /* Inizializiamo la scheda grafica nel modo 320x200x256 */
 Init_Graph_Lib();
 set_vga_mode ();

 /* Stampiamolo */
 for (y=0; y<Y_CHAR_SIZE; y++)
   for (x=0; x<X_CHAR_SIZE; x++)
       if (a[y][x] !=0) putpixel (160+x, 100+y, 100);

 getch ();
 set_text_mode ();
 Close_Graph_Lib();
}
