/*
 *  Programmazione Grafica 3D - Cap. 1
 *  by Andrea Fasano
 *
 *  Esempio di passaggio dalla modalit testuale alla modalit grafica 0x13
 *
 *  convertito per DJGPP da Antonio Bonifati
 *  website: http://Assembly_Page_di_Ant.freeweb.org
 */

#include <stdio.h>
#include <dos.h>

void Set_Text_Mode (void)
 {
  union REGS registers;

  registers.h.ah = 0x00;                /* Servizio 0 dell' interrupt 0x10 */
  registers.h.al = 0x03;                /* Numero del nuovo modo grafico   */
  int386 (0x10, &registers, &registers);
 }

void Set_Vga_Mode (void)
 {
  union REGS registers;

  registers.h.ah = 0x00;		/* Servizio 0 dell' interrupt 0x10 */
  registers.h.al = 0x13;		/* Numero del nuovo modo grafico   */
  int386 (0x10, &registers, &registers);
 }

void main (void)
 {
  Set_Text_Mode ();
  printf ("Adesso siamo nella modalit testuale 0x03!\n");
  getch();

  Set_Vga_Mode ();
  printf ("Adesso siamo nella modalit 0x013 (320x200x256)!\n");
  getch();

  Set_Text_Mode ();
  printf ("Ooops! Indietro al DOS.\n");
 }
