/*
 *  Programmazione Grafica 3D - Cap. 1
 *  by Andrea Fasano
 *
 *  Esempio di stampa di un pixel (terza versione)
 *
 *  convertito per DJGPP da Antonio Bonifati
 *  website: http://Assembly_Page_di_Ant.freeweb.org
 */

#include <stdio.h>
#include <dos.h>

     #include <dpmi.h>          /* definisce __dpmi_segment_to_descriptor */

     short video;

void Create_Selector (void)
{
  video = __dpmi_segment_to_descriptor(0xa000);
}

void Set_Text_Mode (void)
 {
  union REGS registers;

  registers.h.ah = 0x00;                /* Servizio 0 dell' interrupt 0x10 */
  registers.h.al = 0x03;                /* Numero del nuovo modo grafico   */
  int386 (0x10, &registers, &registers);
 }

void Set_Vga_Mode (void)
 {
  union REGS registers;

  registers.h.ah = 0x00;		/* Servizio 0 dell' interrupt 0x10 */
  registers.h.al = 0x13;		/* Numero del nuovo modo grafico   */
  int386 (0x10, &registers, &registers);
 }

void PutPixel (int x, int y, char color)
 {
  _farpokeb(video, (x + (y*320)), color);
 }

void main (void)
 {

  Create_Selector ();

  Set_Vga_Mode ();	      /* Attiviamo la Vga */
  PutPixel (160, 100, 150);   /* Accendiamo 1 pixel nel mezzo dello schermo */
  getch();		      /* Attendiamo la pressione di un tasto */
  Set_Text_Mode ();           /* Riattiviamo la modalit testuale */
 }
