/*
 *  Programmazione Grafica 3D - Cap. 7
 *  by Andrea Fasano
 *
 *  Vengono stampate alcune informazioni sul display grafico
 *  e su un modo grafico, ed effettuata una prova.
 *
 *  se vuoi salvare le informazioni sulla scheda e sul modo
 *  esegui questo programma con la redirezione dell'output,
 *  ad es.
 *              esempio1 > video.txt
 *
 *  convertito per DJGPP da Antonio Bonifati
 *  website: http://Assembly_Page_di_Ant.freeweb.org
 */

#include <stdio.h>
#include <conio.h>
#include "demogfx.h"
#include "demovbe2.h"

unsigned char color = 47;
int i;

void main (void)
{

 get_vbe_info ();
 show_vbe_info ();

 /* ad esempio il modo 0x101 */

 get_mode_info (0x101);
 show_mode_info (0x101);

 set_vbe_mode(0x101);   //101 - 640x480      256 colors

#if     SECURE_ACCESS
 // Potete vedere la lentezza della funzione movdata.
 while(!kbhit())
 {
  _movedatab(_my_ds(),(int)&color,   // Plotta un pixel alla prima locazione
             Vid_Selector,0,         // dello schermo
             1);
  color ++;

  _movedatab(Vid_Selector,0,    // Usa questo pixel come la sorgente per la
           Vid_Selector,1,      // funzione movedata, in modo da ripetere
                                // su tutto lo schermo
           640*480-1);          // uno stesso colore (DAVVERO LENTO).

 }
#else
 /* guardate la differenza con l'accesso diretto */
 while(!kbhit())
 {

  vbe_screen[0]=color; // Plotta un pixel alla prima locazione dello schermo
  color++;

  for (i=1; i<640*480; i++)        // Usa questo pixel come la sorgente per la
  {                                // funzione movedata, in modo da ripetere
     vbe_screen[i]=vbe_screen[0];  // su tutto lo schermo uno stesso colore
  }                                // siccome il codice  lo stesso di prima
 }                                 // la velocit  la stessa, anche se sto
#endif                             // usando l'accesso diretto. Questo sia che
                                   // compilo con -O3, che senza! quindi
                                   // attenzione a come scrivete il codice
                                   // anche l'accesso diretto non  veloce
                                   // se il codice da voi scritto non 
                                   // ben ottimizzato (in questo caso 
                                   // penalizzante il trasferimento di solo
                                   // 1byte per volta)
 textmode(C80); // oppure la nostra set_text_mode();
}
