/* aggiunto da Antonio: confronto dell'accesso diretto e con selettore
   nel plottaggio dei punti: la differenza in generale non  molto,
   come mette in evidenza questo programma.
   usate il metodo Fat DS (traduzione "DS grasso"!) solo se vi serve
   l'ultimo % di velocit ( un vero e proprio hacking!) o se prevedete
   che il programma girer su un computer un po' vecchio e volete "spremere"
   la massima velocit possibile. Ricordate piuttosto di scrivere i vostri
   programmi in modo che siano quanto pi possibile efficienti nei punti
   dove spendono la maggior parte del loro tempo. Per valutare questo
   anche DJGPP ha un bellissimo profiler (GPROF). Aiuta molto attivare
   -O3, ma rende il debugging difficile, perci fatelo solo nella
   versione finale o quando volete confrontare diverse versioni di codice
   con -O3 attivato.                                                     */

#include <stdio.h>
#include "../demogfx.h"
#include "../demo640.h"
#include "watch.h"

#define PIXELS  20000000        /* numero di pixel casuali da plottare */
                                /* cambiare a seconda della potenza    */
                                /* del vostro computer, in modo che    */
                                /* il tempo necessario non sia n      */
                                /* troppo breve n troppo alto         */
                                /* (in quest'ultimo caso dico per voi, */
                                /*  che dovete aspettare i risultati!) */

/* impostato opportunamente PIXELS, provate ad eseguire il prg una volta
   con SECURE_ACCESS pari a 1 e poi con SECURE_ACCESS uguale a 0
   (questo nome  definito in ../demo640.h)                             */

void main (void)
{
 int i;

 get_vbe_info ();
 show_vbe_info ();

 /* ad esempio il modo 0x101 */

 get_mode_info (0x101);
 show_mode_info (0x101);

 set_vbe_mode(0x101);   //101 - 640x480      256 colors

 start();

 for (i=1; i<PIXELS; i++)
   vbe_put_pixel(rand()%640,rand()%480,rand()%256); // Plotta un pixel a caso

 set_text_mode();
 stop();
}
