/* watch.c */

#include <stdio.h>
#include <dos.h>
#include "watch.h"

static float start_time;

float watch(void)
{
     struct time t;
     gettime(&t);
     return (t.ti_hour*3600.0 + t.ti_min*60.0 + t.ti_sec + t.ti_hund/100.0);
}

void start()
{
    start_time = watch();
}

void stop()
{
    float elapsed=watch()-start_time;
    int raw=(int)(elapsed+0.5);     /* raw=round(elapsed) */

    printf("The elapsed time is %.1f seconds", elapsed);
    if (raw>=60)
       printf(" (%dm:%ds)", raw/60, raw%60);
    putchar('\n');
}

